package meta_test

import (
	"net/http"
	"testing"

	"github.com/keratin/authn-server/api/meta"
	"github.com/keratin/authn-server/api/test"
	"github.com/keratin/authn-server/lib/route"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
)

func TestGetRoot(t *testing.T) {
	app := test.App()
	server := test.Server(app, meta.Routes(app))
	defer server.Close()

	client := route.NewClient(server.URL)

	res, err := client.Get("/")
	require.NoError(t, err)
	body := test.ReadBody(res)

	assert.Equal(t, http.StatusOK, res.StatusCode)
	assert.Equal(t, []string{"text/html"}, res.Header["Content-Type"])
	assert.NotEmpty(t, body)
}
